StableOps
API reference

Update an address

Toggle label / mode / status. Addresses currently allocated to an open order cannot be re-statused manually.

PATCH/v1/addresses/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard (no sk_ prefix required).

In: header

Path Parameters

id*unknown

Merchant address id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/addresses/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "chain": "ethereum",
  "address": "string",
  "label": "string",
  "mode": "single",
  "status": "available",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}